Package org.kapott.hbci.passport.storage

## Class PassportData

- java.lang.Object
- - org.kapott.hbci.passport.storage.PassportData

All Implemented Interfaces:
  `java.io.Serializable`

    public class PassportData
    extends java.lang.Object
    implements java.io.Serializable

Kapselt die Daten des Passport zum Lesen und Schreiben.

See Also:
  Serialized Form

### Field Summary

Fields
`java.lang.String` `blz` Die BLZ.
`java.util.Properties` `bpd` Die BPD.
`java.lang.String` `country` Der Laendercode.
`java.lang.String` `customerId` Die Kunden-ID.
`java.lang.String` `filter` Der Transport-Filter.
`java.lang.String` `hbciVersion` Die HBCI-Version.
`java.lang.String` `host` Der Host.
`HBCIKey` `instEncKey` Der Verschluesselungskey der Bank.
`HBCIKey` `instSigKey` Der Signatur-Key der Bank.
`HBCIKey` `myPrivateEncKey` Der eigene Private-Verschluesselungskey.
`HBCIKey` `myPrivateSigKey` Der eigene Private-Signatur-Key.
`HBCIKey` `myPublicEncKey` Der eigene Public-Verschluesselungskey.
`HBCIKey` `myPublicSigKey` Der eigene Public-Signatur-Key.
`java.lang.Integer` `port` Der TCP-Port.
`java.lang.String` `profileVersion` Die Profil-Version.
`java.lang.Long` `sigId` Die Signatur-ID.
`java.lang.String` `sysId` Die System-ID.
`java.lang.String` `tanMethod` Das TAN-Verfahren.
`java.util.List<java.lang.String>` `twostepMechs` Die Liste der Zweischritt-Verfahren.
`java.util.Properties` `upd` Die UPD.
`java.lang.String` `userId` Die User-ID.

### Constructor Summary

Constructors
`PassportData()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bpd

    public java.util.Properties bpd

Die BPD.

#### upd

    public java.util.Properties upd

Die UPD.

#### hbciVersion

    public java.lang.String hbciVersion

Die HBCI-Version.

#### country

    public java.lang.String country

Der Laendercode.

#### blz

    public java.lang.String blz

Die BLZ.

#### host

    public java.lang.String host

Der Host.

#### port

    public java.lang.Integer port

Der TCP-Port.

#### userId

    public java.lang.String userId

Die User-ID.

#### sysId

    public java.lang.String sysId

Die System-ID.

#### sigId

    public java.lang.Long sigId

Die Signatur-ID.

#### profileVersion

    public java.lang.String profileVersion

Die Profil-Version.

#### customerId

    public java.lang.String customerId

Die Kunden-ID.

#### filter

    public java.lang.String filter

Der Transport-Filter.

#### twostepMechs

    public java.util.List<java.lang.String> twostepMechs

Die Liste der Zweischritt-Verfahren.

#### tanMethod

    public java.lang.String tanMethod

Das TAN-Verfahren.

#### instSigKey

    public HBCIKey instSigKey

Der Signatur-Key der Bank.

#### instEncKey

    public HBCIKey instEncKey

Der Verschluesselungskey der Bank.

#### myPublicSigKey

    public HBCIKey myPublicSigKey

Der eigene Public-Signatur-Key.

#### myPrivateSigKey

    public HBCIKey myPrivateSigKey

Der eigene Private-Signatur-Key.

#### myPublicEncKey

    public HBCIKey myPublicEncKey

Der eigene Public-Verschluesselungskey.

#### myPrivateEncKey

    public HBCIKey myPrivateEncKey

Der eigene Private-Verschluesselungskey.

### Constructor Detail

#### PassportData

    public PassportData()